package com.e6yun.project.sdk.api.example;

import com.e6yun.project.sdk.api.E6SdkApi;
import com.e6yun.project.sdk.api.exception.ApiException;
import com.e6yun.project.sdk.api.pojo.basevo.business.OverTemp;
import com.e6yun.project.sdk.api.pojo.business.NotifyLinkman;
import com.e6yun.project.sdk.api.pojo.business.NotifyMan;
import com.e6yun.project.sdk.api.pojo.business.TempSetting;

public class SetOverTemp {
    static E6SdkApi e6SdkApi = new E6SdkApi("http://api.e6yun.com/", "您的appkey", "您的secreKey");

    public static void main(String[] args) {

        try {
            OverTemp overTemp = new OverTemp();
            overTemp.setVehicleNos("陕A0000");
            overTemp.setIsApply("1");
            overTemp.setIsPlatformShow("1");
            overTemp.setIsAlarmSound("1");
            overTemp.setRemark("1");
            overTemp.setIsNotifyLinkman("1");
            TempSetting tempSetting = new TempSetting();
            tempSetting.setContinueTime1(10);
            tempSetting.setContinueTime2(10);
            tempSetting.setContinueTime3(10);
            tempSetting.setContinueTime4(10);
            tempSetting.setContinueTime5(10);
            tempSetting.setContinueTime6(10);
            tempSetting.setContinueTime7(10);
            tempSetting.setContinueTime8(10);
            tempSetting.setHt1(10);
            tempSetting.setHt2(10);
            tempSetting.setHt3(10);
            tempSetting.setHt4(10);
            tempSetting.setHt5(10);
            tempSetting.setHt6(10);
            tempSetting.setHt7(10);
            tempSetting.setHt8(10);
            NotifyLinkman NotifyLinkman = new NotifyLinkman();
            NotifyMan notifyMan = new NotifyMan();
            notifyMan.setType(1);
            NotifyLinkman.setNotifyMan1(notifyMan);
            NotifyLinkman.setNotifyMan2(notifyMan);
            NotifyLinkman.setNotifyMan3(notifyMan);
            NotifyLinkman.setNotifyMan4(notifyMan);
            NotifyLinkman.setNotifyMan5(notifyMan);
            System.out.println(e6SdkApi.setOverTemp(overTemp,tempSetting,NotifyLinkman));
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
